##
## TODO LIST
##
#
# Lo script in /bin è in realtà uno script per l'init.
# Sarebbe utile trasformarlo in un servizio systemd.
# Contiene delle variabili con la configurazione.
# Da vedere come fare con systemd (forse si possono mantenere in
# /etc/sysconfig e caricare dal service, devo controllare).
#
## END TODO LIST
#

Name:           postfwd
Version:        2.03
Release:        1%{?dist}
Summary:        A firewall-like rule-set policy module for postfix

License:        BSD
URL:            http://postfwd.org/
Source0:        https://postfwd.org/postfwd-2.03.tar.gz
Source1:	postfwd.sysconfig
Source2:	postfwd.service

Patch0:		postfwd-start-script-use-sysconfig.patch

##BuildRequires:  
BuildArch:      noarch
Requires:       perl-Net-DNS perl-Net-Server perl-NetAddr-IP perl-Net-CIDR-Lite perl-Digest-MD5 perl-Time-HiRes perl-Storable
%{?systemd_requires}

%description
postfwd is written in perl to combine complex postfix restrictions
in a ruleset similar to those of the most firewalls. The program
uses the postfix policy delegation protocol to control access to
the mail system before a message has been accepted (please visit
http://www.postfix.org/SMTPD_POLICY_README.html for more information).
It allows you to choose an action (e.g. reject, dunno) for a combination
of several smtp parameters (like sender and recipient address, size or
the client's TLS fingerprint).


%prep

%autosetup -n postfwd -p1


%build

## % configure
## % make_build


%install

rm -rf $RPM_BUILD_ROOT
## % make_install

mkdir -p %{buildroot}/%{_sbindir}
cp -p sbin/*  %{buildroot}/%{_sbindir}/

mkdir -p %{buildroot}/%{_bindir}
cp -p bin/*   %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
cp -p etc/*   %{buildroot}/%{_sysconfdir}/%{name}/

mkdir -p %{buildroot}/%{_mandir}/man8
##cp -p man/man8/*   %{buildroot}/%{_mandir}/man8/
cp -p man/man8/postfwd3.8   %{buildroot}/%{_mandir}/man8/postfwd.8

mkdir -p %{buildroot}/%{_libexecdir}/%{name}
cp -pr tools/*       %{buildroot}/%{_libexecdir}/%{name}/
cp -pr plugins/*     %{buildroot}/%{_libexecdir}/%{name}/
#cp -p bin/*         %{buildroot}/%{_libexecdir}/%{name}/

mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig
cp -p %{SOURCE1}    %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

mkdir -p $RPM_BUILD_ROOT%{_unitdir}/
cp -p %{SOURCE2}    %{buildroot}/%{_unitdir}/

%files

%license doc/LICENSE
%doc doc/*
%config(noreplace) %{_sysconfdir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*

%dir %{_libexecdir}/%{name}
%dir %{_libexecdir}/%{name}/hapolicy

%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man8/*
%{_libexecdir}/%{name}/*
%{_unitdir}/*


%changelog
* Thu Aug 25 2022 Bussi Andrea <bta@di.unipmn.it> - 2.03-1
- New version

* Wed May 15 2019 bta - 2.02-1
- Initial version

